CocoaTweet::API::Statuses::Status Class Reference

Entory point for statuses/*. More...

`#include <status.h>`

Inheritance diagram for CocoaTweet::API::Statuses::Status:
[legend]
Collaboration diagram for CocoaTweet::API::Statuses::Status:
[legend]

## Classes

struct | Options

## Public Member Functions

| Status ()=default
| primary constructor to allow for create NON-INITIALIZED object More...
| Status (std::shared_ptr< CocoaTweet::OAuth::OAuth1 > _oauth)
| constructor which finally should to be called. More...
CocoaTweet::API::Model::Tweet | update (const std::string &_status) const
| send request to statuses/update with specified status More...
CocoaTweet::API::Model::Tweet | update (const std::string &_status, const Options _options) const
| send request to statuses/update with specified status More...
CocoaTweet::API::Model::Tweet | update (const std::string &_status, std::vector< std::string > _mediaId) const
| send request to statuses/update with specified status More...
CocoaTweet::API::Model::Tweet | destroy (const std::string &_id) const
| send request to statuses/destroy with specified id More...
CocoaTweet::API::Model::Tweet | retweet (const std::string &_id) const
CocoaTweet::API::Model::Tweet | unretweet (const std::string &_id) const
std::vector< CocoaTweet::API::Model::Tweet > | userTimeline (const std::string &_screenName) const

## Additional Inherited Members

Protected Attributes inherited from CocoaTweet::API::groupInterface
std::weak_ptr< CocoaTweet::OAuth::OAuth1 > | oauth_

## Detailed Description

Entory point for statuses/*.

## Constructor & Destructor Documentation

## Status() [1/2]

CocoaTweet::API::Statuses::Status::Status | ( |  | ) |

default

primary constructor to allow for create NON-INITIALIZED object

## Status() [2/2]

CocoaTweet::API::Statuses::Status::Status | ( | std::shared_ptr< CocoaTweet::OAuth::OAuth1 > | _oauth | ) |

constructor which finally should to be called.

Parameters

  [in] | std::shared_ptr<CocoaTweet::OAuth::OAuth1> | : pointer to OAuth object

## Member Function Documentation

## destroy()

CocoaTweet::API::Model::Tweet CocoaTweet::API::Statuses::Status::destroy | ( | const std::string & | _id | ) | const

send request to statuses/destroy with specified id

this function throws CocoaTweet::Exception::* if something happen

Parameters

  [in] | const | std::string& : tweet id which should be delete
  [out] | CocoaTweet::API::Model::Tweet | : Destroy result

## retweet()

CocoaTweet::API::Model::Tweet CocoaTweet::API::Statuses::Status::retweet | ( | const std::string & | _id | ) | const

## unretweet()

CocoaTweet::API::Model::Tweet CocoaTweet::API::Statuses::Status::unretweet | ( | const std::string & | _id | ) | const

## update() [1/3]

CocoaTweet::API::Model::Tweet CocoaTweet::API::Statuses::Status::update | ( | const std::string & | _status | ) | const

send request to statuses/update with specified status

this function throws CocoaTweet::Exception::* if something happen

Parameters

  [in] | const | std::string& : tweet text
  [out] | CocoaTweet::API::Model::Tweet | : Tweet result

## update() [2/3]

CocoaTweet::API::Model::Tweet CocoaTweet::API::Statuses::Status::update | ( | const std::string & | _status,
|  | const Options | _options
| ) |  | const

send request to statuses/update with specified status

this function throws CocoaTweet::Exception::* if something happen

Parameters

  [in] | const | std::string& : tweet text
  [in] | const | CocoaTweet::API::Statuses::Status::Options option : status update options for more parameters
  [out] | CocoaTweet::API::Model::Tweet | : Tweet result

## update() [3/3]

CocoaTweet::API::Model::Tweet CocoaTweet::API::Statuses::Status::update | ( | const std::string & | _status,
|  | std::vector< std::string > | _mediaId
| ) |  | const

send request to statuses/update with specified status

this function throws CocoaTweet::Exception::* if something happen

Parameters

  [in] | const | std::string& : tweet text
  [in] | std::vector<std::string> | _mediaId : media id which posted with tweet
  [out] | CocoaTweet::API::Model::Tweet | : Tweet result

## userTimeline()

std::vector< CocoaTweet::API::Model::Tweet > CocoaTweet::API::Statuses::Status::userTimeline | ( | const std::string & | _screenName | ) | const

The documentation for this class was generated from the following files:

- src/cocoatweet/api/status/status.h
- src/cocoatweet/api/status/status.cc